### Method

# ICalGLib Component get_duration

since: 1.0

#### Declaration [src]

    ICalDuration*
    i_cal_component_get_duration (
      ICalComponent* comp
    )

#### Description [src]

Gets the duration of the `ICalComponent`.

Available since: 1.0

#### Return value

Type: `ICalDuration`

An `ICalDuration`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.